<?php
 /* credits.php -- provides an on-page credits block
  * Copyright 2005, Ben Wilson <ameen@dausha.net>.
  * 
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
if (!defined('PmWiki')) exit();
if (!defined('CREDITS_VERSION')) exit();

global $CreditListToText, $CreditLanguage;
$CreditListToText = "CreditListToText$CreditLanguage";

/*
 * To add a language, use the two-letter langauge code as defined by ISO
 * Standards (http://www.loc.gov/standards/iso639-2/).
 * ENGLISH: (http://www.loc.gov/standards/iso639-2/englangn.html)
 */

#--------------------------------
# This is the general mechanism for languages that use comma delimited
# grammar with an "AND" word between the pentultimate and ultimate
# elements.
function CreditListToText($list) {			
    global $CreditAnd, $CreditComma;
    $count = count($list);
    if ($count > 1) { $list[$count-1] = $CreditAnd . $list[$count-1]; }
    $text  = ($count == 2) 
        ? join(" ", $list)
        : join($CreditComma, $list);
    return $text;
}

#--------------------------------
# English
function CreditListToTextEN($list) {
    return CreditListToText($list);
}
#--------------------------------
# Esperanto
function CreditListToTextEO($list) {
    Global $CreditAnd;
    $CreditAnd = "kaj ";
    return CreditListToText($list);
}
#--------------------------------
# German
function CreditListToTextDE($list) {
    Global $CreditAnd;
    $CreditAnd = "und ";
    return CreditListToText($list);
}
?>
